# H245_MiscellaneousIndication_type Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_logicalChannelActive, e_logicalChannelInactive, e_multipointConference, e_cancelMultipointConference, e_multipointZeroComm, e_cancelMultipointZeroComm, e_multipointSecondaryStatus, e_cancelMultipointSecondaryStatus, e_videoIndicateReadyToActivate, e_videoTemporalSpatialTradeOff, e_videoNotDecodedMBs, e_transportCapability }

## Public Member Functions

| H245_MiscellaneousIndication_type (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_MiscellaneousIndication_type_videoNotDecodedMBs & ()
| operator const H245_MiscellaneousIndication_type_videoNotDecodedMBs & () const
| operator H245_TransportCapability & ()
| operator const H245_TransportCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MiscellaneousIndication_type::Choices

Enumerator:

  e_logicalChannelActive |
  e_logicalChannelInactive |
  e_multipointConference |
  e_cancelMultipointConference |
  e_multipointZeroComm |
  e_cancelMultipointZeroComm |
  e_multipointSecondaryStatus |
  e_cancelMultipointSecondaryStatus |
  e_videoIndicateReadyToActivate |
  e_videoTemporalSpatialTradeOff |
  e_videoNotDecodedMBs |
  e_transportCapability |

## Constructor & Destructor Documentation

H245_MiscellaneousIndication_type::H245_MiscellaneousIndication_type | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MiscellaneousIndication_type::operator H245_MiscellaneousIndication_type_videoNotDecodedMBs & | ( |  | ) |

H245_MiscellaneousIndication_type::operator const H245_MiscellaneousIndication_type_videoNotDecodedMBs & | ( |  | ) | const

H245_MiscellaneousIndication_type::operator H245_TransportCapability & | ( |  | ) |

H245_MiscellaneousIndication_type::operator const H245_TransportCapability & | ( |  | ) | const

PBoolean H245_MiscellaneousIndication_type::CreateObject | ( |  | ) |

PObject* H245_MiscellaneousIndication_type::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h